Send a test mailing
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/transactionalmail/{transactionalMailId}/test
clientIdinteger<int64>Client ID
transactionalMailIdinteger<int64>Transactional mail ID
acceptstringGenerated from available response content types
recipientIdsarray<p>Comma-separated list of recipient IDs from the provided recipient list ("recipientListId"). If a recipient is not found in the recipient list, no test mailing will be sent to this recipient.</p>
mimeTypestring<p>Mime type of the mailing during sending (use empty string to use the mime type of the mailing).</p>
subjectstring<p>Subject of the test mailing (if mailing has a subject).</p>
senderAddressstring<p>Sender address for test mailing (if mailing has a sender address). Must not be empty if specified.</p>
recipientListIdstringRecipient list ID of the recipient list to be used for the test mailing.
202<p>The test message was sent successfully. The response contains a report on the recipients included in the test mailing (check "validRecipientAddresses" field).</p>
400At least one request parameter is not valid
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/transactionalmail/{transactionalMailId}/test \
--header 'accept: application/json' \
--header 'content-type: application/x-www-form-urlencoded' \
--data 'recipientIds=array' \
--data 'recipientListId=string'